# encoding: utf-8
module RechnMgmWeb
    class NotificationService
        def self.notify_document_to_handle(user, organisation)
            return nil if user.web_push_user_token.blank? || Rails.env == "test"

            headings = OneSignal::Notification::Headings.new(en: 'New Invoice!', de: 'Neue Rechnung!')

            # Create contents for different languages. English is required.
            # #75: Push notifications to safari seems to have a bug. They were not received if the language code "de" exists for the content.
            #      Thus, I always send in engish but sending german text.
            contents = OneSignal::Notification::Contents.new(en: "Eine neue Rechnung für #{organisation.name} liegt vor!")

            # Select the included (and/or excluded) segments to target
            included_targets = OneSignal::IncludedTargets.new(include_player_ids: [user.web_push_user_token])

            # Create the Notification object
            notification = OneSignal::Notification.new(headings: headings, contents: contents, included_targets: included_targets)

            OneSignal.send_notification(notification)
        end
    end
end
